﻿using System;

namespace IRaCIS.Core.Domain.Share
{
    /// <summary>
    /// 用户信息接口
    /// </summary>
    public interface IUserInfo
    {
        /// <summary>
        /// 主键
        /// </summary>
        Guid Id { get; }

        /// <summary>
        /// 用户名
        /// </summary>
        string UserName { get; }

        /// <summary>
        /// 昵称
        /// </summary>
        string RealName { get; }
        string ReviewerCode { get; }

        bool  IsAdmin { get; }

        string UserTypeShortName { get; }

        string UserTypeEnumStr { get; }

         int UserTypeEnumInt { get; }

        Guid UserTypeId { get;  }

        string UserToken { get; }

        string PermissionStr { get; }

        string IP { get; }

        bool IsEn_Us { get;  }
    }
}
