﻿using IRaCIS.Core.Domain.Share;
using System;

namespace IRaCIS.Core.Domain.Models
{
    public class QCChallengeDialog : Entity, IAuditAddWithUserName
    {
        public QCChallenge QCChallenge { get; set; }
        public string TalkContent { get; set; } = string.Empty;

        public Guid QCChallengeId { get; set; }

        public Guid SubjectVisitId { get; set; }
                    

        //public bool HasReply { get; set; } = false;

        public string CreateUser { get; set; } 

        public DateTime CreateTime { get; set; } = DateTime.Now;
        public Guid CreateUserId { get; set; } = Guid.Empty;

        public UserTypeEnum UserTypeEnum { get; set; }
    }
}